Package org.italiangrid.voms.store

# Class VOMSTrustStores

java.lang.Object
org.italiangrid.voms.store.VOMSTrustStores

public class VOMSTrustStores extends Object
A factory for VOMS trust stores

Author:
  cecco

## Constructor Summary

Constructors
Constructor
Description
`VOMSTrustStores()`

## Method Summary

Modifier and Type
Method
Description
`static VOMSTrustStore`
`newTrustStore()`
Creates a `VOMSTrustStore` configured with default settings.
`static VOMSTrustStore`
`newTrustStore(long updateFrequency)`
Creates a `VOMSTrustStore` configured according to the parameters passed as argument
`static VOMSTrustStore`
`newTrustStore(List<String> localTrustDirs)`
Creates a `VOMSTrustStore` configured according to the parameters passed as argument
`static VOMSTrustStore`
`newTrustStore(List<String> localTrustDirs, long updateFrequency, VOMSTrustStoreStatusListener statusListener)`
Creates a `VOMSTrustStore` configured according to the parameters passed as argument

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VOMSTrustStores

public VOMSTrustStores()

## Method Details

### newTrustStore

public static VOMSTrustStore newTrustStore()
Creates a `VOMSTrustStore` configured with default settings.

Returns:
  a `VOMSTrustStore` configured with default settings.

### newTrustStore

public static VOMSTrustStore newTrustStore(List<String> localTrustDirs, long updateFrequency, VOMSTrustStoreStatusListener statusListener)
Creates a `VOMSTrustStore` configured according to the parameters passed as argument

Parameters:
  `localTrustDirs` - the directory where voms information will be searched
  `updateFrequency` - the trust store update frequency in milliseconds
  `statusListener` - a listener that is notified of events related to the created trust store
Returns:
  a `VOMSTrustStore` configured as requested.

### newTrustStore

public static VOMSTrustStore newTrustStore(List<String> localTrustDirs)
Creates a `VOMSTrustStore` configured according to the parameters passed as argument

Parameters:
  `localTrustDirs` - the directory where voms information will be searched
Returns:
  a `VOMSTrustStore` configured as requested.

### newTrustStore

public static VOMSTrustStore newTrustStore(long updateFrequency)
Creates a `VOMSTrustStore` configured according to the parameters passed as argument

Parameters:
  `updateFrequency` - the trust store update frequency in milliseconds
Returns:
  a `VOMSTrustStore` configured as requested.